package OSC;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use OSC::Client ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS =
  ( 'all' => [ qw(
		  sendOSC
		 )
	     ]
  );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
		);

our $VERSION = 0.03;

bootstrap OSC $VERSION;

##-- Preloaded methods go here

1;
__END__

##======================================================================
## Docs
=pod

=head1 NAME

OSC::Send - Perl OO wrappers for OSC socket communications.

=head1 SYNOPSIS

 use OSC qw(sendOSC);

 #-- send some data
 sendOSC([qw(myProgram -h localhost 5151 /test,1,2,3)]);

=cut

##======================================================================
## Description
=pod

=head1 DESCRIPTION

OSC::Send provides a Perl OO wrapper for OSC clients.

=cut

##======================================================================
## Footer
=pod

=head1 ACKNOWLEDGEMENTS

perl by Larry Wall.

libOSC by Matt Wright.

=head1 KNOWN BUGS

None known.

=head1 AUTHOR(s)

jdl E<lt>jdl@xdv.orgE<gt> wrote the original OSC_perl.

Bryan Jurish E<lt>jurish@ling.uni-potsdam.deE<gt> wrote these wrappers.

=head1 SEE ALSO

perl(1),
sendOSC(1),
dumpOSC(1),
OSC::Send(3pm),
OSC::Dump(3pm).

=cut

