#!/usr/bin/perl
# dumpOSC emulator example script
# usage: ./dumpOSC.pl 5151
# 200207, jdl@xdv.org
# - modified Wed, 31 Mar 2004 18:38:18 +0200 by moocow to use OO wrappers

use lib qw(../blib/arch ../blib/lib);
use OSC::Dump;
use Socket;
use Data::Dumper;

$host = shift || 0;
$port = shift || 5151;
$BUFLEN = 1024;
$buf = "";

$sock = OSC::Dump->new(LocalHost=>$host,
		       LocalPort=>$port)
  or die("$0: could not create socket: $!");

print "$0: server started on $host:$port\n";


while ($peeraddr = recv($sock, $buf, $BUFLEN, 0)) {
  if ($buf ne '') {
    ($peerport, $peerip) = sockaddr_in($peeraddr);
    $peerhost = inet_ntoa($peerip);

    print
      ("$0: received packet from: $peerhost:$peerport, length: ",
       length($buf),
       "\n",
      );

    $parsed = $sock->parse($buf);

    print
      ("$0: ", Data::Dumper->Dump([$parsed],['parsed']),
      "\n"
      );
  }
}

$sock->close();
