#ifndef _SENDOSC_H
#define _SENDOSC_H

#include "OSC-client.h"
#include "htmsocket.h"

#include <stdio.h>
#include <stdlib.h>
/* #include <bstring.h> */
#include <string.h>


typedef struct {
    enum {INT, FLOAT, STRING} type;
    union {
        int i;
        float f;
        char *s;
    } datum;
} typedArg;

extern void HartCoreMode(int argc, char *argv[]);
extern void CommandLineMode(int argc, char *argv[], void *htmsocket);
extern void InteractiveMode(void *htmsocket);
extern OSCTimeTag ParseTimeTag(char *s);
extern void ParseInteractiveLine(OSCbuf *buf, char *mesg);
extern typedArg ParseToken(char *token);
extern int WriteMessage(OSCbuf *buf, char *messageName, int numArgs, typedArg *args);
extern void SendBuffer(void *htmsocket, OSCbuf *buf);
extern void SendData(void *htmsocket, int size, char *data);
extern void fatal_error(char *s);
extern void complain(char *s, ...);


#endif _SENDOSC_H
